## libkomparediff2 4.13.0

=== tests/CMakeLists.txt ===
include_directories(..)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set(interactiveDiffTest_SRCS
    interactivedifftest.cpp
    ../perforceparser.cpp
    ../cvsdiffparser.cpp
    ../difference.cpp
    ../diffhunk.cpp
    ../diffmodel.cpp
    ../diffmodellist.cpp
    ../diffparser.cpp
    ../komparemodellist.cpp
    ../kompareprocess.cpp
    ../parser.cpp
    ../parserbase.cpp
    ../stringlistpair.cpp
)

kde4_add_unit_test(interactiveDiffTest ${interactiveDiffTest_SRCS})
set_target_properties(interactiveDiffTest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
target_link_libraries(interactiveDiffTest
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KPARTS_LIBS}
)

set(levenshteinTest_SRCS
    levenshteintest.cpp
    ../difference.cpp
    ../stringlistpair.cpp
)

kde4_add_unit_test(levenshteintest ${levenshteinTest_SRCS})
set_target_properties(levenshteintest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
target_link_libraries(levenshteintest
    ${QT_QTTEST_LIBRARY}
    ${QT_QTCORE_LIBRARY}
)

=== debian/changelog ===
libkomparediff2 (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:22:36 +0100

libkomparediff2 (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:50:00 +0200

libkomparediff2 (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:49:28 +0100

libkomparediff2 (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:55:30 +0000

libkomparediff2 (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Mar 2014 16:32:11 +0000

libkomparediff2 (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 15:09:59 +0000

libkomparediff2 (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:35:37 +0000

libkomparediff2 (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:36:26 +0000

libkomparediff2 (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:34:31 +0000

libkomparediff2 (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:32:01 +0100

libkomparediff2 (4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * Initial release

  [ Philip Muškovac ]
  * libkomparediff2-4 breaks/replaces kompare << 4:4.11.80

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:54:47 +0100

=== debian/control ===
Source: libkomparediff2
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9.0.0), cmake, pkg-kde-tools,
 kdelibs5-dev (>= 4:4.13.0)
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/kde/kdesdk/libkomparediff2

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-4 (= ${binary:Version}), ${misc:Depends}
Description: Library to compare files and strings - development files
 Library to compare files and strings, used in Kompare and KDevelop
 .
 This package contains development headers for the kompare library.

Package: libkomparediff2-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kompare (<< 4:4.11.80)
Replaces: kompare (<< 4:4.11.80)
Description: Library to compare files and strings
 This package contains the library used to compare files and strings, and is
 used in Kompare and KDevelop.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

## libkomparediff2 4.14.1

=== debian/changelog ===
libkomparediff2 (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:47:40 +0200

libkomparediff2 (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:33:07 +0200

libkomparediff2 (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:23:05 +0200

libkomparediff2 (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:47:26 +0200

libkomparediff2 (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:37:10 +0200

libkomparediff2 (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:07:46 +0100

libkomparediff2 (4:4.12.2-2) unstable; urgency=medium

  * Update package descriptions, thanks to Ansgar Burchardt.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:41 +0200

libkomparediff2 (4:4.12.2-1) experimental; urgency=medium

  * Initial release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:39 +0100

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkomparediff2
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkomparediff2
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkomparediff2.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkomparediff2.git

Package: libkomparediff2-4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kompare (<< 4:4.12)
Replaces: kompare (<< 4:4.12)
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-4 (= ${binary:Version}), ${misc:Depends}
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 4.14.2

=== debian/changelog ===
libkomparediff2 (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: libkomparediff2
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.12),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkomparediff2
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkomparediff2
-X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkomparediff2.git
-X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkomparediff2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkomparediff2.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkomparediff2.git
 
 Package: libkomparediff2-4
 Section: libs

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/libkomparediff2-([\d.]+).tar.xz

## libkomparediff2 14.12.3

=== debian/changelog ===
libkomparediff2 (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:50:52 -0700

libkomparediff2 (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version
    
 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:43:27 -0800

libkomparediff2 (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:10:05 +0100

libkomparediff2 (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:50 +0100

libkomparediff2 (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:26:09 -0700

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libkomparediff2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.12),
+               kdelibs5-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkomparediff2.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkomparediff2.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkomparediff2.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkomparediff2.git
 
 Package: libkomparediff2-4
 Section: libs

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkomparediff2-([\d.]+).tar.xz

## libkomparediff2 15.08.2

=== debian/changelog ===
libkomparediff2 (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:58:31 +0100

libkomparediff2 (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:42:12 +0100

libkomparediff2 (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:50:27 +0100

libkomparediff2 (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:26:53 +0100

libkomparediff2 (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * KDE Frameworks 5 port

  [ Scarlett Clark ]
  * manual merge
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:30:59 +0200

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.9),
               kio-dev,
               libkf5codecs-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5parts-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkomparediff2.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkomparediff2.git

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-5 (= ${binary:Version}), ${misc:Depends}
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 15.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(LibKompareDiff2)

find_package(ECM 0.0.9 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMSetupVersion)

include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5Core NO_MODULE)
set_package_properties(Qt5Core PROPERTIES TYPE REQUIRED)
find_package(Qt5Widgets NO_MODULE)
set_package_properties(Qt5Widgets PROPERTIES TYPE REQUIRED)
find_package(Qt5Test NO_MODULE)

find_package(KF5 REQUIRED
	CoreAddons Codecs Config XmlGui I18n KIO Parts
)

set(KF5_VERSION "5.0")
ecm_setup_version(${KF5_VERSION}
                  VARIABLE_PREFIX LIBKOMPAREDIFF2
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2ConfigVersion.cmake"
                  SOVERSION 5)

set(komparediff2_SRCS
	kompareprocess.cpp
	komparemodellist.cpp
	diffmodellist.cpp
	diffmodel.cpp
	difference.cpp
	diffhunk.cpp
	diffsettings.cpp
	settingsbase.cpp
	parser.cpp
	parserbase.cpp
	cvsdiffparser.cpp
	diffparser.cpp
	perforceparser.cpp
	stringlistpair.cpp
	kompare.cpp
)


add_library(komparediff2 ${komparediff2_SRCS})
generate_export_header(komparediff2 BASE_NAME diff2)

target_link_libraries(komparediff2
    Qt5::Core
    Qt5::Widgets
    KF5::Codecs
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::XmlGui
)

target_include_directories(komparediff2 INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}/libkomparediff2>")

set_target_properties(komparediff2 PROPERTIES VERSION ${LIBKOMPAREDIFF2_VERSION_STRING} SOVERSION ${LIBKOMPAREDIFF2_SOVERSION} )

install(TARGETS komparediff2 EXPORT LibKompareDiff2Targets ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(tests)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/diff2_export.h
    settingsbase.h
    diffsettings.h
    komparemodellist.h
    difference.h
    diffmodel.h
    diffmodellist.h
    marker.h
    kompare.h
    diffhunk.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libkomparediff2  COMPONENT Devel
)

# Config.cmake file.
configure_file( "${CMAKE_SOURCE_DIR}/LibKompareDiff2Config.cmake.in" "${CMAKE_BINARY_DIR}/LibKompareDiff2Config.cmake" @ONLY )

set(_LibKompareDiff2_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/LibKompareDiff2")

install( FILES
        "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2ConfigVersion.cmake"
        "${CMAKE_BINARY_DIR}/LibKompareDiff2Config.cmake"
        DESTINATION "${_LibKompareDiff2_CONFIG_DEST}" )
install( EXPORT LibKompareDiff2Targets
         DESTINATION "${_LibKompareDiff2_CONFIG_DEST}"
         NAMESPACE LibKompareDiff2Import__
         FILE LibKompareDiff2Targets.cmake )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
include_directories(.. ${CMAKE_BINARY_DIR})

include(ECMMarkAsTest)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

set(interactiveDiffTest_SRCS
    interactivedifftest.cpp
    ../perforceparser.cpp
    ../cvsdiffparser.cpp
    ../difference.cpp
    ../diffhunk.cpp
    ../diffmodel.cpp
    ../diffmodellist.cpp
    ../diffparser.cpp
    ../komparemodellist.cpp
    ../kompareprocess.cpp
    ../parser.cpp
    ../parserbase.cpp
    ../stringlistpair.cpp
    ../kompare.cpp
)

add_executable(interactiveDiffTest ${interactiveDiffTest_SRCS})
add_test(libkomparediff2-interactiveDiffTest interactiveDiffTest)
ecm_mark_as_test(interactiveDiffTest)
set_target_properties(interactiveDiffTest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
target_link_libraries(interactiveDiffTest
    Qt5::Core
    Qt5::Test
    KF5::CoreAddons
    KF5::Parts
    KF5::I18n
    KF5::XmlGui
    KF5::KIOCore
)

set(levenshteinTest_SRCS
    levenshteintest.cpp
    ../difference.cpp
    ../stringlistpair.cpp
)

add_executable(levenshteintest ${levenshteinTest_SRCS})
add_test(libkomparediff2-levenshteintest levenshteintest)
ecm_mark_as_test(levenshteintest)
set_target_properties(levenshteintest PROPERTIES COMPILE_FLAGS "-DDIFF2_EXPORT=")
target_link_libraries(levenshteintest
    Qt5::Test
    Qt5::Core
)

=== debian/changelog ===
libkomparediff2 (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:22:33 -0700

libkomparediff2 (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:29:42 +0100

libkomparediff2 (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:07 +0100

libkomparediff2 (4:15.08.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:53 +0100

libkomparediff2 (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 10:35:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9),
+               extra-cmake-modules (>= 0.0.9~),
                kio-dev,
                libkf5codecs-dev,
                libkf5config-dev,
@@ -15,7 +15,6 @@
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkomparediff2.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkomparediff2.git
@@ -34,7 +33,7 @@
 Package: libkomparediff2-dev
 Section: libdevel
 Architecture: any
-Depends: libkomparediff2-5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkomparediff2-5 (= ${binary:Version}), qtbase5-dev, ${misc:Depends}
 Description: library to compare files and strings - development files
  This package contains a library used to compare files and strings, and is
  used in Kompare and KDevelop.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkomparediff2-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/libkomparediff2-([\d.]+).tar.xz

## libkomparediff2 16.04.3

=== debian/changelog ===
libkomparediff2 (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:38:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 0.0.9~),
-               kio-dev,
-               libkf5codecs-dev,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5parts-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5codecs-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkomparediff2.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkomparediff2.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
 
 Package: libkomparediff2-5
 Section: libs

## libkomparediff2 16.08.0

=== debian/changelog ===
libkomparediff2 (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:49:11 +0200

libkomparediff2 (4:16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 09:05:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5codecs-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 0.0.9~),
+               kio-dev,
+               libkf5codecs-dev,
+               libkf5config-dev,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5parts-dev,
+               libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkomparediff2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkomparediff2.git
 
 Package: libkomparediff2-5
 Section: libs

## libkomparediff2 16.12.3

=== debian/changelog ===
libkomparediff2 (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:26:05 +0000

libkomparediff2 (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:45 +0000

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 17.04.3

=== debian/changelog ===
libkomparediff2 (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:30:06 +0100

## libkomparediff2 17.08.3

=== debian/changelog ===
libkomparediff2 (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Add needed dependencies for libkomparediff2-dev: libkf5codecs-dev,
    libkf5config-dev, libkf5coreaddons-dev, libkf5i18n-dev, libkf5kio-dev,
    and libkf5xmlgui-dev.
  * Remove unused libkf5parts-dev build dependency.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:34:43 +0100

libkomparediff2 (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (16.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:13 +0200

libkomparediff2 (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:05:32 +0000

libkomparediff2 (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:43:13 +0000

libkomparediff2 (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:38 +0000

libkomparediff2 (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:33 +0000

libkomparediff2 (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:05 +0000

libkomparediff2 (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:06:53 +0000

libkomparediff2 (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:06 +0000

libkomparediff2 (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:04:07 +0000

libkomparediff2 (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:53 +0000

libkomparediff2 (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:32:06 +0000

libkomparediff2 (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:39 +0000

libkomparediff2 (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:34 +0000

libkomparediff2 (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:20 +0000

libkomparediff2 (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:32 +0000

libkomparediff2 (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:52 +0000

libkomparediff2 (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2016 15:03:37 +0000

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.16.0~),
               libkf5codecs-dev (>= 5.16.0~),
               libkf5config-dev (>= 5.16.0~),
               libkf5coreaddons-dev (>= 5.16.0~),
               libkf5i18n-dev (>= 5.16.0~),
               libkf5kio-dev (>= 5.16.0~),
               libkf5xmlgui-dev (>= 5.16.0~),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.1.2
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkomparediff2.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkomparediff2.git

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kompare (<< 4:16.08), kpart5-kompare (<< 4:16.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-5 (= ${binary:Version}),
         libkf5codecs-dev,
         libkf5config-dev,
         libkf5coreaddons-dev,
         libkf5i18n-dev,
         libkf5kio-dev,
         libkf5xmlgui-dev,
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

## libkomparediff2 17.12.3

=== debian/changelog ===
libkomparediff2 (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:33:05 +0000

libkomparediff2 (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Update symbols from build logs
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:41 +0000

libkomparediff2 (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:37 +0000

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: libkomparediff-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff-data
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-10n:all}
Replaces: ${kde-l10n:all}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 18.04.3

=== debian/changelog ===
libkomparediff2 (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:23:04 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5kio-dev (>= 5.31.0~),
                libkf5parts-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               pkg-kde-tools (>= 0.12)
+               pkg-kde-tools (>= 0.12),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkomparediff2
@@ -50,7 +50,7 @@
 Architecture: any
 Depends: libkomparediff2-5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: library to compare files and strings - development files
  This package contains a library used to compare files and strings, and is
  used in Kompare and KDevelop.

## libkomparediff2 18.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(LibKompareDiff2)

find_package(ECM 5.16.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMPackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)

include(FeatureSummary)
include(GenerateExportHeader)

set(QT_MIN_VERSION "5.4.0")
find_package(Qt5Core ${QT_MIN_VERSION} NO_MODULE)
set_package_properties(Qt5Core PROPERTIES TYPE REQUIRED)
find_package(Qt5Widgets ${QT_MIN_VERSION} NO_MODULE)
set_package_properties(Qt5Widgets PROPERTIES TYPE REQUIRED)
find_package(Qt5Test ${QT_MIN_VERSION} NO_MODULE)

set(KF5_DEP_VERSION "5.28.0")
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
	CoreAddons Codecs Config XmlGui I18n KIO
)

set(KOMPAREDIFF2_VERSION "5.2")
ecm_setup_version(${KOMPAREDIFF2_VERSION}
                  VARIABLE_PREFIX LIBKOMPAREDIFF2
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2ConfigVersion.cmake"
                  SOVERSION 5)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050400
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_STRICT_ITERATORS
)

add_definitions(-DTRANSLATION_DOMAIN=\"libkomparediff2\")

ecm_qt_declare_logging_category(komparediff2_DBG_SRCS
    HEADER komparediffdebug.h
    IDENTIFIER LIBKOMPAREDIFF2
    CATEGORY_NAME "libkomparediff"
)

set(komparediff2_SRCS
	${komparediff2_DBG_SRCS}
	kompareprocess.cpp
	komparemodellist.cpp
	diffmodellist.cpp
	diffmodel.cpp
	difference.cpp
	diffhunk.cpp
	diffsettings.cpp
	settingsbase.cpp
	parser.cpp
	parserbase.cpp
	cvsdiffparser.cpp
	diffparser.cpp
	perforceparser.cpp
	stringlistpair.cpp
	kompare.cpp
)

add_library(komparediff2 ${komparediff2_SRCS})
generate_export_header(komparediff2 BASE_NAME diff2)

target_link_libraries(komparediff2
    Qt5::Core
    Qt5::Widgets
    KF5::Codecs
    KF5::CoreAddons
    KF5::I18n
    KF5::KIOCore
    KF5::XmlGui
)

target_include_directories(komparediff2 INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>")

set_target_properties(komparediff2 PROPERTIES
    VERSION ${LIBKOMPAREDIFF2_VERSION_STRING}
    SOVERSION ${LIBKOMPAREDIFF2_SOVERSION}
    EXPORT_NAME "KompareDiff2"
)

install(TARGETS komparediff2 EXPORT LibKompareDiff2Targets ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(tests)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/diff2_export.h
    settingsbase.h
    diffsettings.h
    komparemodellist.h
    difference.h
    diffmodel.h
    diffmodellist.h
    marker.h
    kompare.h
    diffhunk.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libkomparediff2  COMPONENT Devel
)

# Config.cmake file.
set(_LibKompareDiff2_CONFIG_DEST "${LIB_INSTALL_DIR}/cmake/LibKompareDiff2")

ecm_configure_package_config_file(
    "${CMAKE_SOURCE_DIR}/LibKompareDiff2Config.cmake.in"
    "${CMAKE_BINARY_DIR}/LibKompareDiff2Config.cmake"
    INSTALL_DESTINATION  "${_LibKompareDiff2_CONFIG_DEST}"
)

install( FILES
        "${CMAKE_CURRENT_BINARY_DIR}/LibKompareDiff2ConfigVersion.cmake"
        "${CMAKE_BINARY_DIR}/LibKompareDiff2Config.cmake"
        DESTINATION "${_LibKompareDiff2_CONFIG_DEST}" )
install( EXPORT LibKompareDiff2Targets
         DESTINATION "${_LibKompareDiff2_CONFIG_DEST}"
         FILE LibKompareDiff2Targets.cmake )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkomparediff2 (4:18.08.1-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:24:04 +0800

libkomparediff2 (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump all the Frameworks build dependencies to >= 5.28.0, as indicated by
    the upstream build system.
  * Use https for Format in copyright.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update symbols file.
  * Drop the 'testsuite' autopkgtest, since the test suite is run at build
    time, and it does not test the in-archive packages.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Sep 2018 06:57:03 +0200

=== debian/control ===
Source: libkomparediff2
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.16.0~),
               libkf5codecs-dev (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5i18n-dev (>= 5.28.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5xmlgui-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.12),
Standards-Version: 4.2.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkomparediff2.git

Package: libkomparediff2-5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kompare (<< 4:16.08), kpart5-kompare (<< 4:16.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: library to compare files and strings
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkomparediff2-dev
Section: libdevel
Architecture: any
Depends: libkomparediff2-5 (= ${binary:Version}),
         libkf5codecs-dev,
         libkf5config-dev,
         libkf5coreaddons-dev,
         libkf5i18n-dev,
         libkf5kio-dev,
         libkf5xmlgui-dev,
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends},
Description: library to compare files and strings - development files
 This package contains a library used to compare files and strings, and is
 used in Kompare and KDevelop.
 .
 This package contains development headers for the kompare library.
 .
 This package is part of the KDE Software Development Kit module.

## libkomparediff2 18.12.3

=== debian/changelog ===
libkomparediff2 (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:54 +0000

libkomparediff2 (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:54 +0000

libkomparediff2 (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:22 +0000

libkomparediff2 (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:38 +0000

libkomparediff2 (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Data package for translations.
    - Pass -fno-keep-inline-functions to acc test.
    - Keep our sysmbols files.
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 15 Dec 2018 14:40:26 +0000

## libkomparediff2 19.04.3

=== debian/changelog ===
libkomparediff2 (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:33 +0100

libkomparediff2 (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:15:14 +0100

libkomparediff2 (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:04:04 +0100

libkomparediff2 (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:49:29 +0100
